import board
import digitalio
import storage

switch = digitalio.DigitalInOut(board.GP1)
switch.direction = digitalio.Direction.INPUT
switch.pull = digitalio.Pull.UP

# If knob push button is held
# CircuitPython can write to the drive
storage.remount("/", not switch.value)
print(switch.value)